.viewer {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
}

.viewer.show {
  opacity: 1;
  visibility: visible;
  transition: opacity 0.3s, visibility 0.3s;
}

.backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 0;
  cursor: pointer;
}

.overlay {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  gap: 1.8rem;
  .image {
    width: 100%;
  }
  .close {
    color: #fff;
    font-size: 1.8rem;
    align-self: flex-end;
    cursor: pointer;
  }
}

@media screen and (max-width: 768px) {
  .overlay {
    justify-content: center;
    align-items: center;
    .image {
      width: 75vw;
    }
  }
}

@media screen and (max-width: 600px) {
  .overlay {
    .image {
      width: 90vw;
    }
  }
}
